#include ONCE "window9.bi"

function Read_DataS(fp as Handle , iLenght as Long) as any ptr export
	
	dim as byte ptr bBuf = Callocate(iLenght+1)
	
	if bBuf then
		
		fread ( bBuf , iLenght , 1 , fp)
		
	else
		
		print "Allocated memory error in Read_DataS!"
		
	endif
	
	return bBuf
	
End Function